<template>
  <div class="px-3 py-4  justify-center ">         
    <div class="mt-4 ">
      
      <div class="mt-6">
        <div class="bg-white shadow rounded-md overflow-hidden my-6">
        
          <table class="text-left w-full border-collapse ">
            <thead class="border-b">
              <tr>
                <th
                  class="py-3 px-5 bg-indigo-800 font-medium uppercase text-sm text-gray-100"
                >
                  Date
                </th>
                <th
                  class="py-3 px-5 bg-indigo-800 font-medium uppercase text-sm text-gray-100"
                >
                  Steps
                </th>           
              </tr>
            </thead>
            <tbody>
              <tr
                v-for="(step, x) in this.userSteps" :key="x"

                class="hover:bg-gray-200"
              >
                <td class="py-4 px-6 border-b text-gray-700 text-lg">
                  {{step.date}}
                </td>
                <td class="py-4 px-6 border-b text-gray-500">
                  {{ step.amount}}
                </td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
</template>
<script>
import axios from "axios";

export default {
  name: "StepTable",
  data() {
    return {
      userSteps: [],
      user_service_url: import.meta.env.VITE_USER_URL
    };
  },
  methods: {
    GetUserSteps() {
      console.log("getting user steps");
      axios
        .request({
          method: "get",
          url: this.user_service_url + "/userSteps",
          headers: {
            "Content-Type": "application/json",
            "Access-Control-Allow-Origin": "*",
            Accept: "application/json",
            Authorization: `${localStorage.token}`,
          },
        })
        .then((response) => {
          this.userSteps = response.data;
          this.userSteps.forEach((userStep) => {
            userStep.date =  userStep.date.split('T')[0];
              console.log("stuff in table");
            console.log(userStep);
          });
          console.log("theses are the your steps: ", response.data);
        })
        .catch(function (error) {
          console.log(error);
        });
    },
    
  },
  mounted() {
    this.GetUserSteps();
  },
};
</script>

<style>

</style>